import { camelCase } from "es-toolkit";
export function getEndpointId(namespace, path, method, sdkMethodName, operationId, isWebhook) {
    if (path == null) {
        return undefined;
    }
    const endpointName = method != null && path != null
        ? `${method}/${path}`
        : method != null
            ? method
            : path;
    if (endpointName == null) {
        return undefined;
    }
    return `${isWebhook ? "webhook_" : "endpoint_"}${camelCase(namespace != null ? (typeof namespace === "string" ? namespace : namespace.join("_")) : "")}.${camelCase(sdkMethodName ?? "") || operationId || camelCase(endpointName)}`;
}
